#!/bin/tcsh


echo "-------------------------------------------------------------------"
echo "|                     ***** RoboSina2004 *****                    |"
echo "| Copyright  2002-2005 By  :  Mostafa Rafaie, Nima Kaviani ,      |"
echo "|                             Fatemeh Amiri , Somayyeh Kafi.      |"
echo "| Computer Engineering Dept.  Bu-Ali Sina University, Iran.       |"
echo "|                         All Rights Reserved.                    |"
echo "-------------------------------------------------------------------"

set wait    	= 1
set host    	= "localhost"
set team   	= "RoboSina" 
set player 	= "./robosinaplayer"
set goalie	= "./robosinagoalie" 
set coach	= "./robosinacoach"
set config	= "./formations.conf"
set playerConf  = "./player.conf"

set i = 1
${goalie} --host ${host} --configFile ${config} --goalie ${i}& 
@ i++
sleep $wait
while ( ${i} < 4)
    ${player} --host ${host} --configFile ${config} --playerConf {$playerConf} ${i}&      	
    sleep $wait
    @ i++
end
${coach} --host ${host}&

